> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect WooCommerce



## OpenAPI

````yaml /openapi.yaml post /v1/integration/woocommerce/connect
openapi: 3.1.0
info:
  title: Meum Merchant API
  version: 1.0.0
  description: >
    Public merchant API for programmatic invoice creation and WooCommerce
    integration.

    Base URL: https://api.meum.io
  contact:
    name: Meum Support
    email: support@meum.io
    url: https://meum.io
servers:
  - url: https://api.meum.io
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Invoices
  - name: WooCommerce Integration
  - name: Health
paths:
  /v1/integration/woocommerce/connect:
    post:
      tags:
        - WooCommerce Integration
      summary: Connect WooCommerce
      operationId: wooConnect
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WooConnectRequest'
      responses:
        '200':
          description: Connected
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WooConnectResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WooConnectRequest:
      type: object
      required:
        - webhook_url
        - site_url
      properties:
        webhook_url:
          type: string
          format: uri
        site_url:
          type: string
          format: uri
        plugin_version:
          type: string
        wordpress_version:
          type: string
        woocommerce_version:
          type: string
    WooConnectResponse:
      type: object
      properties:
        api_key:
          type: string
          example: sk_live_EXAMPLE_DO_NOT_USE
        webhook_secret:
          type: string
        integration_id:
          type: string
          format: uuid
        store_name:
          type: string
        store_id:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Store-scoped API key (sk_live_...)

````